Subject: RE: [DNA] Considerations for DNA Schemes with multiple Interface and Layer 2 Technologies

From: YGHONG <[email-masked]>
Date: Tue, 19 Oct 2004 15:12:01 +0900

Hi..Greg..

My answers are in lines..

> -----Original Message-----
> From: Greg Daley [mailto:[email-masked]] 
> Sent: Tuesday, October 19, 2004 11:34 AM
> To: [email-masked]
> Cc: [email-masked]; ???; ???
> Subject: Re: [DNA] Considerations for DNA Schemes with 
> multiple Interface and Layer 2 Technologies
> 
> 
> Hi Youn-Geun,
> 
> I have some questions.
> 
> Yong-Geun Hong wrote:
> > 
> > Dear DNA Group..
> > 
> > We submitted the following draft to the IETF Secretariat.
> > It should appear in the internet-drafts in the internet-drafts 
> > directory soon.
> > 
> > "Considerations for DNA Schemes with Multiple Interfaces  
> and Layer 2 
> > Technologies"
> > http://pec.etri.re.kr/~yghong/draft-hong-dna-if-l2-00.txt
> > 
> > Currently, we are developing multiple interfaces node. 
> > (one is 802.11g, the other is CDMA2000 1x) While we are developing, 
> > current DNA schemes are enough for a single interface and  WLAN.
> > When we consider multiple interfaces and other link-layer 
> technology, 
> > we think that current DNA schemes may be insufficient. In this 
> > document, we consider and analyze various environments for applying 
> > DNA schemes.
> > 
> > Please let us know your comments/thoughts.
> 
> in section 3.3 (page 4) there's a statement:
> 
> 
>       If each link-layer technology of each interface is the same and
>       each interface is in the same link, this scenario may 
> not be very
>       much different with case 3.1. Because each interface is 
> in the same
>       link, link information on each interface may be the 
> same. In this
>       scenario, multiple interfaces do not have any effect on 
> detecting
>       any link changes.
> 
> What do you mean by technology here? MAC/PHY combination or 
> something else?
> 
  => MAC/PHY combination

> It may be that two wireless devices have the same MAC 
> capabilities and same PHY encoding, but have different 
> sensitivities, policy, antennae (antennas), and physical locations.
> 
> In this case, a condition affecting the IP layer connectivity 
> of one may not affect another.  It may actually be why you'd 
> want to have both interfaces.
> 
  => You are right. In this case, a condition affecting the IP layer
connectivity
    of one may not affect another. But the important thing is that each
interface
    is in the same link. Although, two wireless devices have different
sensitivities,
    policy, et al, access point(s) which two wireless devices are connected
to can 
    be in the same link.
  => I think that this case may not be common but we can guess this
situations. 

> Do you have any papers or tech-reports which illustrate the 
> situation as you described?
> 
 => No..As we are designing multiple interface node, we have consider this
case.
> 
> There are a lot of statements about connection of another L2 
> medium, but limited correlation of these processes to DNA.
> I think that if there's work needed for CDMA systems, it may 
> be necessary to be specific as to the actual issues.
> 
> Is it possible to work out a succinct problem statement for 
> these issues?
> 
  => What I want to say in this section is that in this case if each
interface is in the same link,
     the effect of multiple interfaces for DNA schemes may be none.

> Greg

---

From: Greg Daley <[email-masked]>
Date: Thu, 21 Oct 2004 13:28:36 +1000

Hi Youn-Geun,

>      the effect of multiple interfaces for DNA schemes may be none.

It would be good to have some corroboration of this.
Anecdotally things may seem right, but perhaps there is an
underlying issue here which we need to expose.

Greg

---

From: JinHyeock Choi <[email-masked]>
Date: Sat, 23 Oct 2004 01:55:14 +0900

Dear Yong-Geun

I think that the case 3.2, 'Single interface with Make before Break'
will affect DNA solution design. I agree that we are not familiar with 
this case, so it would be of much help, if you elaborate the below
with more detail. 

     We think that we are not familiar with this case. But in CDMA[7], a
     mobile station can access two or more different base stations
     simultaneously. In this case, a host can make a new link-layer
     connection before an old link-layer connection is torn down.

Especially I wonder whether it's possible for a host to distinguish 
the IP packets from the old link-layer connection FROM the ones
from the new link-layer connection.  

However, it's not clear to me the relationship between 'DNA schemes' 
and 'multiple interfaces' from Case 3.3 & 3.4 description. I still 
can't see how multiple interfaces would affect DNA schemes 
substantially. Kindly elaborate this more. 

Thanks for your kind consideration. 

Best Regards

JinHyeock

---

From: Brijesh Kumar <[email-masked]>
Date: Fri, 22 Oct 2004 13:53:24 -0400

Yong-Geun;

Like JinHyeock and Greg, I am too curious why CDMA soft handoff should
impact
the DNA scheme specially since CDMA provides make before break ability.

Since with CDMA, it is possible to combine the data received from two
or more different sites to ease the transition from one to the other,
I am unable to see why this will have any DNA issues at all.

Can you please elaborate a little bit more clearly.

Cheers,

--bk

> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of JinHyeock
> Dear Yong-Geun
>

---

From: Erik Nordmark <[email-masked]>
Date: Fri, 22 Oct 2004 14:04:03 -0700

> from the new link-layer connection.  

I hope that L2 can actually tell the packets apart.
If this is possible, then the implementation could present the packets 
from the different links are arriving on different interfaces to IP.

If this isn't possible, then I fear that the question "am I attached to 
the same link as before" can no longer be answered with "yes" or "no"; 
there will be cases when the interface is attached to the same link but 
also attached to a new link.

I don't understand the CDMA constraints, but for instance with 802.11,
if somebody builds a radio which can talk to two APs at the same time,
it wouldn't be hard to have the software present those to IP as "wlan0" 
and "wlan1". If this is done, then DNA would work just fine.

     Erik

---

From: Pekka Nikander <[email-masked]>
Date: Mon, 25 Oct 2004 08:59:00 +0200

>>                 ... But in CDMA[7], a

I agree with Erik and others that the apparently cleanest way is
to model the situation with distinct (virtual) interfaces, each
corresponding to a wireless connection.

However, I am also wondering how often we need that in practise.
As far as I've understood (which may be completely wrong), in the
typical case the CDMA network models the whole base station network
as a single link, with a single excess router.  OTOH, I have no
idea whether soft handovers between operators is defined or not.
If they are, then we probably need some care there.

Taking a slightly wider angle, we can imagine various anomalies
like someone inadvertedly connecting two (wireline) LAN segments
together.  That would (temporarily) create a similar situation.
Hence, I'm afraid that we need to make the DNA scheme(s) robust
against these kinds of situations.  However, my current opinion
(subject to change) is that we should not worry too much about
these kinds of situations, and it would be perfectly OK if it takes
some more time to system to recover in such a situation.  In other
words, if some hosts unnecessarily run DNA and autoconfiguration,
that wouldn't be too bad.

Network operators have to live with the limits of technology
anyway.  If our DNA effort results in a piece of technology that
has a number of well documented limitations, that is OK, as long
as the WG agrees on the limitations.

--Pekka

---

From: Erik Nordmark <[email-masked]>
Date: Mon, 25 Oct 2004 08:55:50 -0700

> that wouldn't be too bad.

Good point.
It would be good if we can say that DNA doesn't make such a situation 
any worse than it is without DNA, and that the same mechanisms which can 
be used to recover still work when DNA is used.

An example of what would go wrong today is that the hosts would get the 
routers and the prefixes for the other link, where the prefixes would be 
used to both autoconfigure addresses and for on-link determination.
Once the accidental connection is broken, with rfc 2461 it will take 30 
minutes for the routers to time out from the default router list and 30 
days for the prefixes to time out. Thus in the meantime the hosts will
  - try to use unreachable routers until NUD tells it the router isn't
    responding
  - assume hosts are on-link which are not and fail to communicate with
    those hosts
  - use autoconfigured addresses with the bogus prefixes, for which the
    return traffic will not reach them

The administrator might have tools that can help restore this more 
quickly - just sending "spoofed" RAs with zero lifetimes for the bogus 
default routers and the bogus prefixes will quickly repair things except 
that the autoconfigured addresses will remain deprecated for 2 hours 
(due to the 2 hour rule in RFC 2462).

So at a minimum I don't think we should make this any worse and any 
harder to restore than it is today.

    Erik

---

From: JinHyeock Choi <[email-masked]>
Date: Fri, 29 Oct 2004 18:29:06 +0900

Dear Erik

> from the different links are arriving on different interfaces to IP.

Right. To put the above more precisely, 

" the implementation could present the packets from the different link-layer 
connections (NOT different links) are arriving on different interfaces to IP." 

An interface only knows that the packets are arriving from different link-layer 
connections. It has no way to determine whether they are from different 
links or not.   

Best Regards

JinHyeock

---

From: JinHyeock Choi <[email-masked]>
Date: Fri, 29 Oct 2004 18:59:25 +0900

Dear Pekka

> corresponding to a wireless connection.

Agree. For a detailed operation, we may need a little more elaboration. 

> as the WG agrees on the limitations.

Agree.

Best Regards

JinHyeock